OpenNMS API 1.2.9

## org.opennms.netmgt.config.collectd
Class Rrd

    java.lang.Object
      org.opennms.netmgt.config.collectd.Rrd

All Implemented Interfaces:
  java.io.Serializable

public class Rrd
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` `_has_step` keeps track of state for field: _step
`private java.util.ArrayList` `_rraList`
`private int` `_step`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Rrd()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addRra(int index, java.lang.String vRra)`
`void` `addRra(java.lang.String vRra)`
`void` `clearRra()`
`java.util.Enumeration` `enumerateRra()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String[]` `getRra()`
`java.lang.String` `getRra(int index)`
`java.util.Collection` `getRraCollection()`
`int` `getRraCount()`
`int` `getStep()` Returns the value of field 'step'.
`boolean` `hasStep()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeRra(java.lang.String vRra)`
`void` `setRra(int index, java.lang.String vRra)`
`void` `setRra(java.lang.String[] rraArray)`
`void` `setRraCollection(java.util.Collection vRra)`
`void` `setStep(int step)` Sets the value of field 'step'.
`static Rrd` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _step

    private int _step

### _has_step

    private boolean _has_step

  keeps track of state for field: _step

### _rraList

    private java.util.ArrayList _rraList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Rrd

    public Rrd()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addRra

    public void addRra(java.lang.String vRra)
                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vRra` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addRra

    public void addRra(int index,
                       java.lang.String vRra)
                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vRra` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearRra

    public void clearRra()

### enumerateRra

    public java.util.Enumeration enumerateRra()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getRra

    public java.lang.String getRra(int index)
                            throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getRra

    public java.lang.String[] getRra()

### getRraCollection

    public java.util.Collection getRraCollection()

### getRraCount

    public int getRraCount()

### getStep

    public int getStep()

  Returns the value of field 'step'.

  Returns:
    the value of field 'step'.

### hasStep

    public boolean hasStep()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeRra

    public boolean removeRra(java.lang.String vRra)

  Parameters:
    `vRra` -

### setRra

    public void setRra(int index,
                       java.lang.String vRra)
                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vRra` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setRra

    public void setRra(java.lang.String[] rraArray)

  Parameters:
    `rraArray` -

### setRraCollection

    public void setRraCollection(java.util.Collection vRra)

  Parameters:
    `vRra` -

### setStep

    public void setStep(int step)

  Sets the value of field 'step'.

  Parameters:
    `step` - the value of field 'step'.

### unmarshal

    public static Rrd unmarshal(java.io.Reader reader)
                         throws org.exolab.castor.xml.MarshalException,
                                org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.